import request from '/frontEnd/api/config/axios.js'

// 资方管理-客户信息-获取列表
export const getCustomerInfoList = (params) => (
  request({
    url: '/businessProcessingTask/doDifferenceList',
    method: 'get',
    params
  })
)

// 资方管理-客户信息-获取编辑详情
export const getCustomerInfoEditDetails = (params) => (
  request({
    url: '/financialCustomer/editFile',
    method: 'get',
    params
  })
)

// 资方管理-客户信息-编辑-提交
export const customerInfoSubmit = (data) => (
  request({
    url: '/financialCustomer/doEditFile',
    method: 'post',
    data
  })
)

// 资方管理-客户信息-审核-提交
export const customerInfoExamineSubmit = (data) => (
  request({
    url: '/financialCustomerApproval/doEdit',
    method: 'post',
    data
  })
)

// 资方管理-客户信息-资料下载
export const customerInfoDataDownload = (params) => (
  request({
    url: '/financialCustomer/downloadFileZip',
    method: 'get',
    responseType: 'arraybuffer',
    params
  })
)
